"{ Encoding: utf8 }"

"{ Package: 'stx:goodies/builder/quickSelfTest' }"

"{ NameSpace: Smalltalk }"

StandaloneStartup subclass:#RunUnitTestsStart
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'tests-Regression'
!

!RunUnitTestsStart class methodsFor:'documentation'!

documentation
"
    documentation to be added.

    [author:]
        sr

    [instance variables:]

    [class variables:]

    [see also:]

"
! !

!RunUnitTestsStart class methodsFor:'constants'!

usage
    Stderr cr.
    Stderr nextPutLine:'  --help............................this infromation'.
    Stderr nextPutLine:'  --settingsFile....................path to a stx settings file (may to set compiler options)'.
    Stderr nextPutLine:'  --runOnlyExpeccoUnitTests.........run only expecco related test cases'.
    Stderr nextPutLine:'  --resultFile......................path to a file for storing the result as xml'.
    Stderr nextPutLine:'  --forceTestCase...................class name of a test case (only this test case will be executed)'.
! !

!RunUnitTestsStart class methodsFor:'startup'!

main:argv
    self verboseInfo:('starting application').
    self startStartBlockProcess.

    "install a global handler, 
     which suppresses the updating of the change file"       
    Processor activeProcess exceptionHandlerSet
        on:(Class updateChangeFileQuerySignal)
        do:[:ex | ex proceedWith:false].

    "run the unit tests"
    RunUnitTests runWithCompiledUnitTestClasses:true.
!

setupSmalltalkFromArguments:argv
    (argv includes:'/?') ifTrue:[
        self usage.
        AbortOperationRequest raise.
    ].

    ^ super setupSmalltalkFromArguments:argv
! !

!RunUnitTestsStart class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
! !

